Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.epochx.ant
Enum Orientation

    java.lang.Object
      java.lang.Enum<Orientation>
          com.epochx.ant.Orientation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Orientation>

    public enum Orientation

extends java.lang.Enum<Orientation>

Enumerates the possible orientations of an ant within its landscape.

Enum Constant Summary
`EAST` East compass direction.
`NORTH` North compass direction.
`SOUTH` South compass direction.
`WEST` West compass direction.

Method Summary
`static Orientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Orientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORTH

    public static final Orientation NORTH

  North compass direction.

### EAST

    public static final Orientation EAST

  East compass direction.

### SOUTH

    public static final Orientation SOUTH

  South compass direction.

### WEST

    public static final Orientation WEST

  West compass direction.

Method Detail

### values

    public static Orientation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Orientation c : Orientation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Orientation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD